import requests
import sys


# kontrola či bol poskytnutý API kluc
def checkApiKey(key):
  if key == "CHANGE THIS TO YOUR PROJECT API KEY":
    print ("You need to enter your secret project API key into this sample.")
    print("Replace the string on line 6 with your key.")
    sys.exit()



#funkcia ktora vytrenuje model
def trainModel(key):
  checkApiKey(key)
  
  url = ("https://machinelearningforkids.co.uk/api/scratch/" + 
         key + 
         "/models")

  response = requests.post(url)

  if response.ok == False:
    # error sprava
    print (response.json())
    


#kontrola ci je model pripraveny na pouzitie
def checkModel(key):
  checkApiKey(key)
  
  url = ("https://machinelearningforkids.co.uk/api/scratch/" + 
         key + 
         "/status")

  response = requests.get(url)

  if response.ok:
    responseData = response.json()

    status = {
      2 : "ready to use",
      1 : "training is in progress",
      0 : "problem"
    }

    return { 
      "status" : status[responseData["status"]], 
      "msg" : responseData["msg"] 
    }
  else:
    # error sprava
    print (response.json())
